# List an endpoint's deliveries

> The endpoint's deliveries, newest first, for 30 days: status, attempts, the receiver's last status code and error, and when a pending one is tried again.

`GET /v1/webhook-endpoints/{endpointId}/deliveries`

The endpoint's deliveries, newest first, for 30 days: status, attempts, the receiver's last status code and error, and when a pending one is tried again. No payload is stored.

**Permissions:** any valid key · **Kind:** read · **Cost:** 1 unit



## Path parameters

| Field | Type | Required | Description |
|---|---|---|---|
| `endpointId` | uuid | yes |  |

## Query parameters

| Field | Type | Required | Description |
|---|---|---|---|
| `status` | "pending" \| "sending" \| "succeeded" \| "failed" \| "skipped" |  |  |
| `limit` | integer |  | 1–100, default 25 |
| `cursor` | string |  | max 500 chars |

## Response `200`

| Field | Type | Required | Description |
|---|---|---|---|
| `object` | "list" | yes |  |
| `data` | object[] | yes |  |
| `data[].object` | "webhook_delivery" | yes |  |
| `data[].id` | uuid | yes |  |
| `data[].endpointId` | uuid | yes |  |
| `data[].eventId` | uuid | yes | Also the `webhook-id` header the receiver got. |
| `data[].eventType` | string | yes |  |
| `data[].status` | "pending" \| "sending" \| "succeeded" \| "failed" \| "skipped" | yes |  |
| `data[].attempts` | integer | yes |  |
| `data[].nextAttemptAt` | string \| null | yes | When it is tried again; null unless pending. |
| `data[].lastStatusCode` | integer \| null | yes |  |
| `data[].lastError` | string \| null | yes |  |
| `data[].lastDurationMs` | integer \| null | yes |  |
| `data[].createdAt` | string | yes |  |
| `data[].updatedAt` | string | yes |  |
| `nextCursor` | string \| null | yes |  |

## Errors

Errors are [problem details](https://api.bymundi.com/docs/guides/errors.md). Besides the refusals described above, any call like this one can return:

- [`invalid_request`](https://api.bymundi.com/problems/invalid_request.md) — Invalid request
- [`unauthorized`](https://api.bymundi.com/problems/unauthorized.md) — Missing or invalid API key
- [`insufficient_scope`](https://api.bymundi.com/problems/insufficient_scope.md) — Missing permission
- [`rate_limited`](https://api.bymundi.com/problems/rate_limited.md) — Rate limit reached
- [`not_found`](https://api.bymundi.com/problems/not_found.md) — Not found

## Examples

#### curl

```bash
curl https://api.bymundi.com/v1/webhook-endpoints/$ENDPOINT_ID/deliveries \
  -H "Authorization: Bearer $BYMUNDI_KEY"
```

#### JavaScript

```javascript
const res = await fetch(`https://api.bymundi.com/v1/webhook-endpoints/${endpointId}/deliveries`, {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.BYMUNDI_KEY}`,
  },
});
if (!res.ok) throw new Error((await res.json()).detail);
const data = await res.json();
```

#### Python

```python
import os, uuid, requests

res = requests.get(
    f"https://api.bymundi.com/v1/webhook-endpoints/{endpointId}/deliveries",
    headers={"Authorization": f"Bearer {os.environ['BYMUNDI_KEY']}"},
)
res.raise_for_status()
data = res.json()
```
